﻿@echo on

REM
REM  Backup script for automated export of ARIS databases on an ARIS server
REM
REM  (C) 2011 by Software AG

REM  ******************
REM  *** Variables  ***
REM  ******************

Rem *** Directorio de DATOS
SET DATATDIR=C:\Data

Rem *** Backup directory for ARIS databases
SET BACKUPDIR=%DATATDIR%\ARISBackup

Rem *** Directorio de Historicos
SET HISTORYDIR=%DATATDIR%\ARISHistory

Rem *** Directory  with ARIS Installation
SET ARISDIR=C:\Program Files\ARIS7.2\JavaClient

REM *** SITEADMIN password
SET SITEADMIN=xxxxxxxx

REM *** DBADMIN password
SET DBADMIN=xxxxxxxx

REM *** CFGADMIN password
SET CFGADMIN=xxxxxxx

REM *** Set command name of ARIS Admin Tool
SET ARISADM_CMD=ArisAdm72.exe

REM *** Server
SET ARISSERVER=xxxxxxx

REM *** Establece el formato de fecha 
SET TODAYSDATE=%date:~6,8%%date:~3,2%%date:~0,2%

REM  *** Establece el PATH para el 7zip ***
set PATH=%PATH%;C:\Program Files\7-Zip

REM  ***************
REM  *** ACTION  ***
REM  ***************

REM *** Comprueba si exite el directorio de Historico
IF EXIST %HISTORYDIR% GOTO YESHISTORYDIR
md %HISTORYDIR%

:YESHISTORYDIR

REM *** Comprime la carpeta del backup ***

IF NOT EXIST %BACKUPDIR% GOTO NOBACKUPDIR
CD %DATATDIR%
7z a %HISTORYDIR%\%TODAYSDATE%_ARISBackup.7z %BACKUPDIR%\* >%HISTORYDIR%\%TODAYSDATE%_7z.log

:NOBACKUPDIR

REM ***  Delete old backup directory with subdirectories ***
del /S /Q %BACKUPDIR%  >%BACKUPDIR%\delete.log
md %BACKUPDIR%

REM *** Change into ARIS directory ***
REM ***

cd  /d %ARISDIR%

REM *** Do an export of all databases into the BACKUPDIR ***
%ARISADM_CMD% -l %BACKUPDIR%\arisbackup.log -s %ARISSERVER% -pa %SITEADMIN% -p %DBADMIN% backup all %BACKUPDIR%

REM *** Do an export of the config database into the BACKUPDIR ***
%ARISADM_CMD% -l %BACKUPDIR%\arisbackup2.log -s %ARISSERVER% -pa %SITEADMIN% -pc %CFGADMIN% backupconfig %BACKUPDIR%

REM *** Cleanup environment ***
SET BACKUPDIR=
SET ARISDIR=
SET DBADMIN=
SET CFGADMIN=
SET SITEADMIN=

REM *** Purgado de ficheros de historico ***
forfiles /P %HISTORYDIR% /S /M *.* /D -5 /C "cmd /c echo @path > %HISTORYDIR%\%TODAYSDATE%_purgado.log"
forfiles /P %HISTORYDIR% /S /M *.* /D -5 /C "cmd /c del @path"

REM *** Now the standard backup software can backup *.adb, *.acb files in BACKUPDIR  ***
